install_github("ds-civic-data/gbfs")

library(gbfs)

withr::with_dir(tempdir(), get_gbfs(city = "https://gbfs.fordgobike.com/gbfs/gbfs.json", feeds = "all", directory = "pdx_gbfs"))
withr::with_dir(tempdir(), list.files("pdx_gbfs"))


station_information <- withr::with_dir(tempdir(), readRDS("pdx_gbfs/station_information.rds"))
head(station_information)
nrow(station_information)

station_status <- withr::with_dir(tempdir(), readRDS("pdx_gbfs/station_status.rds"))
head(station_status)
nrow(station_status)

system_alerts <- withr::with_dir(tempdir(), readRDS("pdx_gbfs/system_alerts.rds"))
head(system_alerts)
nrow(system_alerts)

system_information <- withr::with_dir(tempdir(), readRDS("pdx_gbfs/system_information.rds"))
head(system_information)
nrow(system_information)

system_regions <- withr::with_dir(tempdir(), readRDS("pdx_gbfs/system_regions.rds"))
head(system_regions)
nrow(system_regions)


