# The East Bay R Language Beginners Group
### Tuesday September 3, 2018

**Title:** [Oakland Ford GoBikes. Lets see how they are used.](https://www.meetup.com/r-enthusiasts/events/253547311/)

**Speaker:** Prof. Eric A. Suess, Department of Statistics and Biostatistics, CSU East Bay, Chief Statistician, machineVantage, R++ The Next Step beta-tester

**Abstract:** Ford GoBikes have been in Oakland for quite a while now. Lets take a look at the data and see how they are being used in Oakland. We will download the data and see how the bikes are used during the day, over the months of the year and for the years they have been available. I will introduce and use dplyr package, which is part of the Tidyverse. We will visualize some of the data using ggplot2. The gbfs package will be used to access the data. We will discuss the General Bikeshare Feed Specification and the API. Example code will be provided in an R notebook and in an R Project.

-----

## Presentation

- [presentation01.html](presentation01.html)
- [presentation01.Rmd](presentation01.Rmd)

## RNotebook using direct download of the .csv files

- [fordgobike01.html](fordgobike01.nb.html)
- [fordgobike01.Rmd](fordgobike01.Rmd)

## RNotebook using the R package gfbs to download from the API

- [fordgobike02.html](fordgobike02.nb.html)
- [fordgobike02.Rmd](fordgobike02.Rmd)

## Pictures

- [oakland.jpg](oakland.jpg)
- [bayarea.jpg](bayarea.jpg)